How can I install libGLEW 1.10?

asked 2018-07-05 03:22:12 -0500

benpc gravatar image

I am trying to run a game with steam, but when I try to execute the .sh file, the output is:

 ./mb_warband_linux: error while loading shared libraries: libGLEW.so.1.10: cannot open shared object file: No such file or directory

I installed libGLEW, but when I ran sudo dnf install libGLEW, it installed version 2.0.0-6.fc28. And when I try to execute the game, the same error happens. I didn't find any help online for fedora 28 workstation.

edit retag flag offensive close merge delete

Comments

Check if the missing library comes bundled with the game. If this is the case the binary must be run through a script (usually bundled as well) which at least sets LD_LIBRARY_PATH to point to the bundled libraries.

fcomida gravatar imagefcomida ( 2018-07-05 14:46:07 -0500 )edit